;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
;
; @file_comments
; gives the name of a month
;
; @categories calendar
;
; @param mm1 {in}{required}
; the month number (from 1 to 12)
;
; @keyword _EXTRA 
; used to pass your keywords to the created procedure.
;
; @file_comments 
; keyword parameters of string function to specify the format of the 
; month (the C format) can be used.
;
; @returns 
; the month's name
;
; @examples
; IDL> name=monthname(2)
;
; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                      1 October 2001
;
; @version $Id$
;
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION monthname,  mm1, _EXTRA = ex
;
  compile_opt idl2, strictarrsubs
;
   return, string(format='(C(CMoA0))',31*(mm1-1), _EXTRA = ex)
end
